Infrastructure - Task #907

unify d1_integration for multiple environments and test languages

2010-10-06 06:00 - Matthew Jones

Status: In Progress Start date:
Priority: Normal Due date:
Assignee: Rob Nahf % Done:
Category: d1_integration Estimated time:

Target version:

2010-10-06

30%
0.00 hour

Milestone: None Story Points:
Product Version: *
Description

Need the integration tests to run for multiple versions/builds and need Hudson to be able to run py-unit tests, preferably from

d1_integration package.

Subtasks:

Task # 1585: add exec-maven-plugin to trigger python integration tests at verify phase.
Task # 817: Integration testing: Make Java and Python stack return values equal for eac...

Task # 277: In the integration testing package, Execute the CN search method
Task # 714: get stand-alone merc indexer to run and produce output

Task # 784: Test that Mercury finds the harvested files in their subdirectories
Task # 739: Test getSystemMetadata()

New
New
Closed
Rejected
Rejected
Closed

History

#1 - 2010-10-06 19:26 - Roger Dahl

Test for correct response to invalid input: Testing for correct response to invalid input involves performing multiple calls to each method in each API
with variations of invalid input and checking if the expected errors occur and that the error response formats are correct.

#2 - 2011-08-30 01:59 - Dave Vieglais
- Position set to 41

- Position deleted (205)

#3 - 2011-08-30 02:43 - Dave Vieglais
- Position set to 23

- Position deleted (55)

#4 - 2011-10-06 16:33 - Rob Nahf
- Target version set to Sprint-2011.40-Block.5
- Position set to 1

- Position deleted (51)

#5 - 2011-10-07 19:44 - Dave Vieglais
- Position deleted (12)
- Target version changed from Sprint-2011.40-Block.5 to Sprint-2011.43-Block.6

- Position set to 8
#6 - 2011-10-25 17:01 - Dave Vieglais

- Milestone set to None

- Assignee set to Rob Nahf
#7 - 2011-10-25 22:17 - Rob Nahf

- Subject changed from Create full suite of integration tests across platforms to unify d1_integration for multiple environments and test languages

#8 - 2011-10-31 17:31 - Dave Vieglais
- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.44-Block.6
- Position deleted (37)

- Position set to 2

#9 - 2011-11-07 18:15 - Rob Nahf

- Position set to 1

- Target version deleted (Sprint-2011.44-Block.6)
- Position deleted (15)

#10 - 2012-10-16 21:31 - Rob Nahf
- Category set to d1_integration

- Status changed from New to In Progress

#11 - 2012-10-16 21:32 - Rob Nahf
- Start date set to 2012-10-16
- Tracker changed from Story to Task

- Estimated time set to 4.00

2024-03-13 22


http://www.tcpdf.org

